print("loading py3x/functions.py")

import argparse

def parse_args():
    """ Parse command line arguments """
    print("running function parse_args from py3x/functions.py")

    parser = argparse.ArgumentParser()
    parser.add_argument("-i", "--input",
                        help="Input file name")
    parser.add_argument("-o", "--output",
                        help="Output file name")
    parser.add_argument("-v", "--verbose", action="store_true",
                        help="Increase output verbosity")
    args = parser.parse_args()
    if args.verbose:
        if args.input:
            print("input file name is: {}".format(args.input))
        if args.output:
            print("output file name is: {}".format(args.output))
    else:
        if args.input:
            print(args.input)
        if args.output:
            print(args.output)

